Package: org.codehaus.groovy.ast.expr

## [Java] Class BinaryExpression

- org.codehaus.groovy.ast.expr.BinaryExpression

- Represents two expressions and an operation

  Authors:
    James Strachan
  Version:
    \$Revision\$

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BinaryExpression (Expression leftExpression, Token operation, Expression rightExpression)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Expression` | `getLeftExpression()`
    `Token` | `getOperation()`
    `Expression` | `getRightExpression()`
    `String` | `getText()`
    `static BinaryExpression` | `newAssignmentExpression(Variable variable, Expression rhs)` Creates an assignment expression in which the specified expression is written into the specified variable name.
    `static BinaryExpression` | `newInitializationExpression(String variable, ClassNode type, Expression rhs)` Creates variable initialization expression in which the specified expression is written into the specified variable name.
    `void` | `setLeftExpression(Expression leftExpression)`
    `void` | `setRightExpression(Expression rightExpression)`
    `String` | `toString()`
    `Expression` | `transformExpression(ExpressionTransformer transformer)`
    `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public BinaryExpression(Expression leftExpression, Token operation, Expression rightExpression)

  - ### Method Detail

    - #### public Expression getLeftExpression()

    - #### public Token getOperation()

    - #### public Expression getRightExpression()

    - #### public String getText()

    - #### public static BinaryExpression newAssignmentExpression(Variable variable, Expression rhs)

      Creates an assignment expression in which the specified expression is written into the specified variable name.

    - #### public static BinaryExpression newInitializationExpression(String variable, ClassNode type, Expression rhs)

      Creates variable initialization expression in which the specified expression is written into the specified variable name.

    - #### public void setLeftExpression(Expression leftExpression)

    - #### public void setRightExpression(Expression rightExpression)

    - #### public String toString()

    - #### public Expression transformExpression(ExpressionTransformer transformer)

    - #### public void visit(GroovyCodeVisitor visitor)